<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta name="GENERATOR" content="ZyTrax">
<meta name="keywords" content="Wireless IP, ISDN, QoS, Bandwidth Management, ZyTrax, Proxy, IP Telephony, VoIP,Firewall, Router">
<title>Cool Tools</title>
<?php 
  virtual ("../templates/styles.shtml");
	virtual ("../scripts/js.shtml");
?>
</head>
<body>
<?php 
  virtual ("../templates/nav_top.shtml");
?>
<!-- begin body table -->
<div class="l-c">
<div class="l-100">
<h2>Web Tools</h2>
<p>A rag bag of PHP tools for web and file manipulation</p>
<h3>Use with care</h3>
<p>We recommend the use of an .htaccess file to limit access to the directory containing the pages that invoke these tools (for more info go <a href="http://www.zytrax.com/security" class="t-db">here</a>).</p>
<p>The following tools are provided:
<table summary="" border="0" cellspacing="4" cellpadding="4" class="norm">
<tr valign="top">
<td width="200"><a href="#replace" class="p-m-n">Replace</a></td>
<td>Replace nominated text any number of times in all files in a directory (and all sub-directories).</td>
</tr>
<tr valign="top">
<td><a href="#insert" class="p-m-n">Insert/Delete</a></td>
<td>Inserts or deletes, above or below an 'anchor' search string (which may occur any number of times) in all files in a directory (and all sub-directories).</td>
</tr>
<tr valign="top">
<td><a href="#display" class="p-m-n">Display</a></td>
<td>Lists the files and optionally displays (with line numbers) the contents of a single file OR all files containing a search string in a directory (and all sub-directories).</td>
</tr>
<tr valign="top">
<td><a href="#info" class="p-m-n">PHP Info</a></td>
<td>Displays the results of the phpinfo() function.</td>
</tr>
<tr valign="top">
<td><a href="#update" class="p-m-n">Update or Synchronise Web</a></td>
<td>Updates or Synchronises one web or directory from another web or directory. If webs used they must have a (secure) FTP service.</td>
</tr>
<tr valign="top">
<td><a href="bind.php" class="p-m-n">DNS Management</a></td>
<td>Manages DNS zone files, reverse mapping zone files, DNS configuration for BIND.</td>
</tr>
</table>
<!-- individual function forms -->
<!-- replace string -->
<h3><a name="replace"></a>Replace String</h3>
<p>When you click <b>'Replace Now'</b> the command will <b>'Replace this text'</b> <b>'with this text'</b> for all the files <b>'in this directory'</b> (and all sub-directories) which have a match. A list of all modified files is output.</p>
 <p><b>NOTE:</b> You must have the appropriate write permissions when running under the web server for this operation.</p>
 <form name="replace" method="POST" action="/run/change.php">
 <table summary="" class="norm">
<tr>
	<td width="150">Replace this text</td>
 	<td><input type="text" name="from" size="50">
	<input type="hidden" name="f" value="r"></td>
</tr>
<tr>
	<td>with this text</td>
 	<td><input type="text" name="to" size="50"></td>
</tr>
<tr>
	<td>in this directory</td>
 	<td><input type="text" name="directory" size="50"></td>
</tr>
</table>
<input type="submit" value="Replace Now" >
</form>
<!-- Insert or delete line -->
<h3><a name="insert"></a> Insert or Delete Line</h3>
<p>Select Insert or Delete. When you click <b>'Do Now'</b> for <b>Insert</b> the command will <b>'Insert this line'</b> <b>before</b> or <b>after</b> the <b>'Line containing'</b> for all the files <b>'in this directory'</b> (and all sub-directories). A list of all modified files is output.</p>
<p>When you click <b>'Do Now'</b> for <b>Delete</b> the command will delete the line immediately <b>before</b> or <b>after</b> the <b>'Line containing'</b> for all the files <b>'in this directory'</b> (and all sub-directories). A list of all modified files is output.</p>
 <p><b>NOTE:</b> You must have the appropriate write permissions when running under the web server for this operation.</p>
 <form name="insert" method="POST" action="/run/change.php">
 <table summary="" class="norm">
<tr>
	<td></td>
 	<td><input type="radio" name="op" value="insert" checked>Insert
	<input type="radio" name="op" value="delete">Delete</td>
</tr>
<tr>
	<td width="150">Insert this line</td>
 	<td><input type="text" name="to" size="60"><input type="hidden" name="f" value="i"></td>
</tr>
<tr>
	<td></td>
 	<td><input type="radio" name="where" value="above" checked>Above<br><input type="radio" name="where" value="below">Below</td>
</tr>
<tr>
	<td>Line containing</td>
 	<td><input type="text" name="from" size="50"></td>
</tr>
<tr>
	<td>in this directory</td>
 	<td><input type="text" name="directory" size="50"></td>
</tr>
</table>
<input type="submit" value="Do Now" >
</form>
<!-- Display or list -->
<h3><a name="display"></a>Display File</h3>
<p>When you click <b>'Display Now'</b> the command will either return the names of all the files containing <b>'with this text'&nbsp;'in this directory'</b> (and all sub-directories) if <b>'names only'</b> is set (default) or provide a full listing (with line numbers) if <b>'display files'</b> is set. If <b>'with this text'</b> is blank then a full file name is entered on <b>'in this directory'</b> line and this file only is listed (irrespective of the option selected). If <b>Web display</b> is <b>checked</b> an full expanded page (as it would appear on the web) will be displayed if <b>not checked</b> the unexpanded file will be displayed.</p>
 <form name="display" method="POST" action="/run/change.php">
 <table summary="" class="norm">
<tr>
	<td></td>
 	<td>
	<input type="radio" name="type" value="names" checked>Names only&nbsp;
	<input type="radio" name="type" value="list">Display files<br>
	<input type="checkbox" name="full" value="on" checked>&nbsp;Web display</td>
</tr>
<tr>
	<td>with this text</td>
 	<td><input type="text" name="from" size="50"></td>
</tr>
<tr>
	<td>in this directory</td>
 	<td><input type="text" name="directory" size="50"><input type="hidden" name="f" value="d"></td>
</tr>
</table>
<input type="submit" value="Display Now" >
</form>
<h3><a name="update"></a>Update or Synchonise a Web or directory</h3>
<p>When you click <b>'Do it Now'</b> the command will either <b>'Update'</b> or <b> 'Synchronise'</b> the locations specified by <b>'from'</b> and <b>'to'</b> as follows:</p>
<blockquote>
<p><b>Update</b></p>
<p>Update will find all the files in the <b>'from'</b> web (or directory) at the corresponding level and compare them with those in the <b>'to'</b> web or directory. If a file with the same name is not found it will be copied, if a file with the same name is found the dates will be compared and if the <b>'from'</b> file date is later it will be copied, otherwise it will not be copied. At the end of the command <b>'to'</b> will contain the latest files in <b>'from'</b> plus any unique files in <b>'to'</b>.</p>
</p><b>Synchronise</b></p>
<p>Syncronise will find all the files in the <b>'from'</b> web (or directory) at the corresponding level and compare them with those in the <b>'to'</b> web or directory. If a file with the same name is not found it will be copied, if a file with the same name is found the dates will be compared and if the <b>'from'</b> file date is later it will be copied, otherwise it will not be copied. If a file or directory exists in <b>'to'</b> which does not exist in <b>'from'</b> then it will be deleted from <b>'to'</b>. At the end of the command <b>'to'</b> will be a perfect copy of <b>'from'</b>.</p>
</blockquote>
<p>If either or both <b>'from'</b> or <b>'to'</b> start with a '/' they are assumed to be local directories, if they do not they are assumed to be a web location e.g www.smokeyjoe.com or wwww.smokeyjoe.com/press. If a web location then <b>User</b> and <b>Password</b> for the corresponding entry is assumed to be the login User name and password for the FTP service. If not present, anonymous FTP access is assumed.</p>
<p><b>Note:</b> 
<ol>
<li>You must have write permission under the web server for the <b>'Update to'</b> directory or web. Web to Web operations are not currently supported.</li>
<li><b>Recurse</b> (default) means recurse through all sub-directories. <b>Single</b> means just the specified directory.</li>
</ol>
</p>
 <form name="update" method="POST" action="/run/update.php">
 <table summary="" class="norm">
 <tr>
	<td></td>
 	<td>
	<input type="radio" name="op" value="update" checked>Update
	<input type="radio" name="op" value="sync">Synchronise</td>
</tr>
<tr>
	<td>from</td>
 	<td><input type="text" name="from" size="50"></td>
</tr>
<tr>
	<td>from User</td>
 	<td><input type="text" name="fname" size="50"></td>
</tr>
<tr>
	<td>from Password</td>
 	<td><input type="password" name="fpass" size="50"></td>
</tr>
<tr>
	<td>to</td>
 	<td><input type="text" name="dest" size="50"><input type="hidden" name="f" value="u"></td>
</tr>
<tr>
	<td>to User</td>
 	<td><input type="text" name="tname" size="50"></td>
</tr>
<tr>
	<td>to Password</td>
 	<td><input type="password" name="tpass" size="50"></td>
</tr>
<tr>
	<td></td>
 	<td>
	<input type="radio" name="r" value="yes" checked>Recurse
	<input type="radio" name="r" value="no">Single</td>
</tr>
<tr>
	<td></td>
 	<td>
	<input type="radio" name="exp" value="no" checked>Normal
	<input type="radio" name="exp" value="yes">Expand SSI</td>
</tr>
</table>
<input type="submit" value="Do it Now!" >
</form>
<h3><a name="info"></a> PHPINFO</h3>
<p>This just returns the phpinfo() information</p>
<form name="info" method="POST" action="/run/info.php">
<input type="submit" value="Get phpinfo" >
</form>

	<!-- end body table -->
</div>
</div>
	
<?php
	$real_date = date("F d, Y.", getlastmod()); 
  include ("../templates/footer.php");
	virtual ("../templates/nav_popout1.shtml");
?>
</body>
</html>